Bug 1145960 - Several issues with EAP startup scripts
Summary: Several issues with EAP startup scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: DR11
: EAP 6.4.0
Assignee: James Perkins
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1117862
TreeView+ depends on / blocked
 
Reported: 2014-09-24 08:15 UTC by Petr Kremensky
Modified: 2019-08-19 12:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:43:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1117862 None None None Never
Red Hat One Jira Issue Tracker EAP6-252 Major Closed Test and Document the use of the -secmgr flag for the configuration of a Java Security Manager 2018-05-17 00:58:47 UTC
Red Hat One Jira Issue Tracker WFCORE-160 Major Resolved Bash scripts should not attempt to expand argument properties 2018-05-17 00:58:47 UTC

Internal Links: 1117862

Description Petr Kremensky 2014-09-24 08:15:14 UTC
Description of problem:
https://github.com/jbossas/jboss-eap/pull/1682 bring in several regressions

Version-Release number of selected component (if applicable):
 EAP 6.4.0.DR2
 
How reproducible:
 Always

Steps to Reproduce:
 * issues with domain.sh
  **script switches are ignored
run: 
./domain.sh --host-config=non-existing

 Expected:
IllegalStateException is thrown due to missing configuration file

 Actual:
--host-config option is ignored

 * issues with standalone.bat
regressions with special character on path
 - 'jboss(eap)'
 - 'jboss e a p'
 * issues with domain.bat
regressions with special character on path
 - 'jboss e a p'

Additional info:
 There are more Solaris10 specific issues, I will add a comment once I investigate them.
 Regression against EAP 6.4.0.DR1.1 and 6.3.0.GA

Comment 1 Petr Kremensky 2014-09-24 08:35:38 UTC
Solaris10 specific standalone.sh script regression:
[hudson@dev20-02 bin]$ ./standalone.sh -c standalone-full.xml
./standalone.sh: test: unknown operator ==

Comment 6 Martin Velas 2014-09-30 13:29:04 UTC
One more hidden issue in standalone.sh - when I launch ./bin/standalone.sh on Ubuntu this error occurs:
./jboss-eap-6.4/bin/standalone.sh: 276: [: unexpected operator

line 276 contains: "if [ "$SECMGR" == "true" ]; then"

This notation is invalid for plain Shell and empty variable $SECMGR. Correct if statement should look IMHO like this:
"if [ "$SECMGR" = "true" ]; then"

Comment 7 James Perkins 2014-09-30 15:58:33 UTC
Oops, too much Java I guess.

Comment 9 Petr Kremensky 2014-10-01 10:01:24 UTC
arguments for domain.sh are still ignored in 6.4.0.DR3:

./domain.sh --help
Actual 
out-of-box domain is started
Expected
help message is shown

Comment 10 Petr Kremensky 2014-10-01 10:42:01 UTC
Solaris 10 issue from comment 1 still last.

There is a new regression in jboss-cli.bat script (cannot be used, if parentheses are on path):
W:\jboss-eap-(6.4)\bin>jboss-cli.bat
"\bin\jboss-cli-logging.properties" was unexpected at this time.

Comment 11 Kabir Khan 2014-10-01 19:27:19 UTC
Setting to ASSIGNED again since the Solaris fix is still being worked on

Comment 13 Petr Kremensky 2014-10-02 04:59:07 UTC
Problem with Solaris was actually the issue Mato described in comment 6 so it should be fixed with next DR build.

Comment 17 Petr Kremensky 2014-10-10 13:04:11 UTC
Looking good so far, I found just one case (jboss-cli.sh) where the scripts are acting different as before. Expressions in command are now resolved unless I use single quotes.

e.g.
EAP 6.3
./jboss-cli.sh -c command="/subsystem=datasources/data-source=ExampleDS/:write-attribute(name=driver-name, value=\"\${VAULT::block::attribute::1}\")"
gives me: "JBAS014749: Operation handler failed: JBAS013322: Vault is not initialized", thus $VAULT was not resolved

EAP 6.4.0.DR4
./jboss-cli.sh -c command="/subsystem=datasources/data-source=ExampleDS/:write-attribute(name=driver-name, value=\"\${VAULT::block::attribute::1}\")"
gives me: "The argument value is not specified for value: 'null'", thus $VAULT was resolved as empty string

I can use single quotes to achieve same as with 6.3.0.
./jboss-cli.sh -c command='/subsystem=datasources/data-source=ExampleDS/:write-attribute(name=driver-name, value=\"\${VAULT::block::attribute::1}\")'

I try to dig around more whether it can't break anything.

Comment 22 Petr Kremensky 2014-10-22 10:34:34 UTC
There is still issue with special character on path for windows (tested with EAP 6.4.0.DR5)
 - 'jboss e a p'

Both standalone and domain are started successfully, but:
C:\jboss e a p\bin>jboss-cli.bat
Error: Could not find or load main class e
Press any key to continue . . .

Please synchronize with @ewertz (BZ1103620).

This is the only issue I've found so far, but there are still some tests running or waiting in Jenkins queue. I'll update if I find anything new.

Comment 24 Petr Kremensky 2014-11-13 13:45:43 UTC
One issue I've found so far (some tests are still running, but most already finishes). jboss-cli.bat script doesn't work with parentheses on path.

C:\jboss-(eap)\bin>jboss-cli.bat -c
"\bin\jboss-cli-logging.properties" was unexpected at this time.

C:\jboss-(eap)\bin>

Comment 26 Petr Kremensky 2014-11-27 11:05:43 UTC
Verified on EAP 6.4.0.DR11

Comment 27 JBoss JIRA Server 2015-04-28 15:04:27 UTC
John Doyle <jdoyle@jboss.org> updated the status of jira EAP6-252 to Closed


Note You need to log in before you can comment on or make changes to this bug.